import 'package:animate_do/animate_do.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

import './widgets/categories_widget.dart';
import '../../app.dart';
import '../../pages/category/controller.dart';
import 'widgets/category_search_widget.dart';

class CategoryPage extends GetView<CategoryController> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        backgroundColor: ThemeColor.white,
        appBar: CustomAppbarWidget(),
        body: NotificationListener<ScrollNotification>(
          // onNotification: controller.handleScrollNotification,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              // Search Widget
              Padding(
                padding: EdgeInsets.only(left: 16.w, right: 16.w, top: 30.h),
                child: FadeInDown(child: CategorySearchWidget()),
              ),

              AppTheme.appSizeDivider30H,

              CategoriesWidget(),
            ],
          ),
        ),
      ),
    );
  }
}
